<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:tns="http://tempuri.org/" elementFormDefault="qualified" targetNamespace="http://tempuri.org/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://oneportalfioryservice.com/User/UserService.svc?xsd=xsd2" namespace="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" />
  <xs:import schemaLocation="http://oneportalfioryservice.com/User/UserService.svc?xsd=xsd3" namespace="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" />
  <xs:import schemaLocation="http://oneportalfioryservice.com/User/UserService.svc?xsd=xsd4" namespace="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.View" />
  <xs:import schemaLocation="http://oneportalfioryservice.com/User/UserService.svc?xsd=xsd6" namespace="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.PDM.ComboList" />
  <xs:element name="GetUserList">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q1="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q1:CompanyConn" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetUserListResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q2="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetUserListResult" nillable="true" type="q2:ArrayOfUserSAP" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetUserById">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q3="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q3:CompanyConn" />
        <xs:element minOccurs="0" name="pCode" type="xs:short" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetUserByIdResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q4="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetUserByIdResult" nillable="true" type="q4:UserSAP" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetEmployeeList">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q5="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q5:CompanyConn" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetEmployeeListResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q6="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetEmployeeListResult" nillable="true" type="q6:ArrayOfEmployeeSAP" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetEmployeeSAPSearchByCode">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q7="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCc" nillable="true" type="q7:CompanyConn" />
        <xs:element minOccurs="0" name="pRequesterCode" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="pRequesterName" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="pDepartment" nillable="true" type="xs:short" />
        <xs:element minOccurs="0" name="pHaveUserCode" type="xs:boolean" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetEmployeeSAPSearchByCodeResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q8="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetEmployeeSAPSearchByCodeResult" nillable="true" type="q8:ArrayOfEmployeeSAP" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetUserSAPSearchByCode">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q9="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCc" nillable="true" type="q9:CompanyConn" />
        <xs:element minOccurs="0" name="pRequesterCode" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="pRequesterName" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetUserSAPSearchByCodeResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q10="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetUserSAPSearchByCodeResult" nillable="true" type="q10:ArrayOfUserSAP" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetUserSAPSearchByName">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q11="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCc" nillable="true" type="q11:CompanyConn" />
        <xs:element minOccurs="0" name="pUserName" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetUserSAPSearchByNameResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q12="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetUserSAPSearchByNameResult" nillable="true" type="q12:UserSAP" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetEmployeeById">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q13="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q13:CompanyConn" />
        <xs:element minOccurs="0" name="pCode" nillable="true" type="xs:int" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetEmployeeByIdResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q14="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetEmployeeByIdResult" nillable="true" type="q14:EmployeeSAP" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetAllEmployee">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q15="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q15:CompanyConn" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetAllEmployeeResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q16="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetAllEmployeeResult" nillable="true" type="q16:ArrayOfEmployeeSAP" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetAllSalesEmployee">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q17="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q17:CompanyConn" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetAllSalesEmployeeResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q18="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetAllSalesEmployeeResult" nillable="true" type="q18:ArrayOfSalesEmployeeSAP" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetWarehouseList">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q19="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q19:CompanyConn" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetWarehouseListResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q20="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetWarehouseListResult" nillable="true" type="q20:ArrayOfWarehouse" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetDistributionRuleList">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q21="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q21:CompanyConn" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetDistributionRuleListResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q22="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetDistributionRuleListResult" nillable="true" type="q22:ArrayOfDistrRuleSAP" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetUDFByTableID">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q23="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q23:CompanyConn" />
        <xs:element minOccurs="0" name="pTableID" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetUDFByTableIDResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q24="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetUDFByTableIDResult" nillable="true" type="q24:ArrayOfUDF_SAP" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetUDF1ByTableID">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q25="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q25:CompanyConn" />
        <xs:element minOccurs="0" name="pTableID" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetUDF1ByTableIDResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q26="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetUDF1ByTableIDResult" nillable="true" type="q26:ArrayOfUFD1_SAP" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetQueryResult">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q27="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q27:CompanyConn" />
        <xs:element minOccurs="0" name="pQuery" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetQueryResultResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs="0" name="GetQueryResultResult" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetAlertsByUser">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q28="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q28:CompanyConn" />
        <xs:element minOccurs="0" name="pUser" type="xs:int" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetAlertsByUserResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q29="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetAlertsByUserResult" nillable="true" type="q29:ArrayOfAlertSAP" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetAlertById">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q30="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q30:CompanyConn" />
        <xs:element minOccurs="0" name="pAlertId" type="xs:int" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetAlertByIdResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q31="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetAlertByIdResult" nillable="true" type="q31:AlertSAP" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetSalesEmployeeSearchByName">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q32="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q32:CompanyConn" />
        <xs:element minOccurs="0" name="pSEName" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetSalesEmployeeSearchByNameResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q33="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetSalesEmployeeSearchByNameResult" nillable="true" type="q33:ArrayOfSalesEmployeeSAP" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetWarehouseListSearch">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q34="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q34:CompanyConn" />
        <xs:element minOccurs="0" name="WhsCode" nillable="true" type="xs:string" />
        <xs:element minOccurs="0" name="WhsName" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetWarehouseListSearchResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q35="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetWarehouseListSearchResult" nillable="true" type="q35:ArrayOfWarehouse" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetSAPQueryListSearch">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q36="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q36:CompanyConn" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetSAPQueryListSearchResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q37="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.SAP" minOccurs="0" name="GetSAPQueryListSearchResult" nillable="true" type="q37:ArrayOfQuerySAP" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetSAPQueryResult">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q38="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q38:CompanyConn" />
        <xs:element minOccurs="0" name="pQuery" nillable="true" type="xs:string" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetSAPQueryResultResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q39="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.View" minOccurs="0" name="GetSAPQueryResultResult" nillable="true" type="q39:JsonObjectResult" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetAllPriceListSAP">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q40="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations" minOccurs="0" name="pCompanyParam" nillable="true" type="q40:CompanyConn" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="GetAllPriceListSAPResponse">
    <xs:complexType>
      <xs:sequence>
        <xs:element xmlns:q41="http://schemas.datacontract.org/2004/07/ARGNS.Model.Implementations.PDM.ComboList" minOccurs="0" name="GetAllPriceListSAPResult" nillable="true" type="q41:ArrayOfPriceListSAP" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>